Name: libssh2
Version: 1.2
Release: alt1
Summary: A library implementing the SSH2 protocol
Group: Networking/Remote access
License: BSD
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>
Url: http://www.libssh2.org/
Source0: http://downloads.sourceforge.net/libssh2/%name-%version.tar.gz
BuildRequires: openssl-devel zlib-devel

%description
libssh2 is a library implementing the SSH2 protocol as defined by
Internet Drafts: SECSH-TRANS(22), SECSH-USERAUTH(25),
SECSH-CONNECTION(23), SECSH-ARCH(20), SECSH-FILEXFER(06)*,
SECSH-DHGEX(04), and SECSH-NUMBERS(10).

%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version-%release

%description devel
The %name-devel package contains libraries and header files for
developing applications that use %name.

%package docs
Summary: Documentation for %name
Group: Development/C
Requires: %name = %version-%release

%description docs
The %name-docs package contains man pages and examples for
developing applications that use %name.

%prep
%setup -q

# make sure things are UTF-8...
#for i in ChangeLog NEWS ; do
#    iconv --from=ISO-8859-1 --to=UTF-8 $i > new
#    mv new $i
#done

%build
%autoreconf
%configure --disable-static --enable-shared

%make
(cd tests && make check)

%install
%make install DESTDIR=%buildroot INSTALL="install -p"

%files
%doc AUTHORS COPYING README NEWS
%_libdir/*.so.*

%files docs
%doc COPYING HACKING example/
%_mandir/man?/*

%files devel
%doc COPYING
%_includedir/*
%_libdir/*.so

%changelog
* Sat Sep 12 2009 Slava Dubrovskiy <dubrsl@altlinux.org> 1.2-alt1
- New version

* Wed May 27 2009 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.1-alt1
- Build for ALT
